<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class ChangeOwnerFeeDetailsTableChangeVolumeColumn extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('owner_fee_details', function (Blueprint $table) {
            $table->decimal("volume",18,3)->nullable()->change();
        });
        Schema::table('owner_fee_detail_logistics', function (Blueprint $table) {
            $table->decimal("volume",18,3)->nullable()->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('owner_fee_details', function (Blueprint $table) {
            $table->decimal('volume',8,3)->nullable()->comment('体积')->change();
        });
        Schema::table('owner_fee_detail_logistics', function (Blueprint $table) {
            $table->decimal('volume',8,3)->nullable()->comment('体积')->change();
        });
    }
}
